**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/24.1/scim/retrieve-scim-resources.md

# Retrieve SCIM Resources



Retrieve a single SCIM resource type. Defines the endpoints, the core schema URI which defines this resource, and any supported schema extensions.

<Endpoint path="/api/{version}/scim/v2/{type}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/scim+json` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `type` | The resource type to retrieve. You can retrieve all available types from the [Retrieve All SCIM Resource Types](/vault-api/api-reference/24.1/scim/discovery-endpoints/retrieve-all-scim-resource-types) endpoint, where the value for this parameter is the `endpoint` value. |
</FieldTable>

## Query Parameters {#query-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://veepharm.com/api/v18.2/scim/v2/SecurityProfiles

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse"
    ],
    "totalResults": 20,
    "Resources": [
        {
            "schemas": [
                "urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile"
            ],
            "id": "business_admin__v",
            "meta": {
                "created": "2018-02-09T09:41:14.000Z",
                "lastModified": "2018-02-09T09:41:14.000Z",
                "resourceType": "SecurityProfile",
                "location": "https://promomats-template.vaultdev.com/api/v18.2/scim/v2/SecurityProfiles/business_admin__v"
            },
            "active": true,
            "displayName": "Business Administrator"
        },
        {
            "schemas": [
                "urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile"
            ],
            "id": "document_user__v",
            "meta": {
                "created": "2018-02-09T09:41:14.000Z",
                "lastModified": "2018-02-09T09:41:14.000Z",
                "resourceType": "SecurityProfile",
                "location": "https://promomats-template.vaultdev.com/api/v18.2/scim/v2/SecurityProfiles/document_user__v"
            },
            "active": true,
            "displayName": "Document User"
        }
    ]

}

```
</CodeExample>

---

**Previous:** [Update User with SCIM](/qualityone/vault-api/api-reference/24.1/scim/users/update-user-with-scim)  
**Next:** [Retrieve Single SCIM Resource](/qualityone/vault-api/api-reference/24.1/scim/retrieve-single-scim-resource)